Loading...
Searching...
No Matches
irr::scene::SMD3QuaternionTagList Struct Reference

holds a associative list of named quaternions More...

`#include <IAnimatedMeshMD3.h>`

## Public Member Functions

| SMD3QuaternionTagList ()
| SMD3QuaternionTagList (const SMD3QuaternionTagList &copyMe)
virtual | ~SMD3QuaternionTagList ()
SMD3QuaternionTag * | get (const core::stringc &name)
SMD3QuaternionTagList & | operator= (const SMD3QuaternionTagList &copyMe)
SMD3QuaternionTag & | operator[] (u32 index)
const SMD3QuaternionTag & | operator[] (u32 index) const
void | push_back (const SMD3QuaternionTag &other)
void | set_used (u32 new_size)
u32 | size () const

## Detailed Description

holds a associative list of named quaternions

Definition at line 198 of file IAnimatedMeshMD3.h.

## Constructor & Destructor Documentation

## SMD3QuaternionTagList() [1/2]

irr::scene::SMD3QuaternionTagList::SMD3QuaternionTagList | ( |  | ) |

inline

Definition at line 200 of file IAnimatedMeshMD3.h.

References irr::core::ALLOC_STRATEGY_SAFE.

Referenced by SMD3QuaternionTagList(), and operator=().

## SMD3QuaternionTagList() [2/2]

irr::scene::SMD3QuaternionTagList::SMD3QuaternionTagList | ( | const SMD3QuaternionTagList & | copyMe | ) |

inline

Definition at line 206 of file IAnimatedMeshMD3.h.

References SMD3QuaternionTagList().

## ~SMD3QuaternionTagList()

virtual irr::scene::SMD3QuaternionTagList::~SMD3QuaternionTagList | ( |  | ) |

inline virtual

Definition at line 211 of file IAnimatedMeshMD3.h.

## Member Function Documentation

## get()

SMD3QuaternionTag * irr::scene::SMD3QuaternionTagList::get | ( | const core::stringc & | name | ) |

inline

Definition at line 213 of file IAnimatedMeshMD3.h.

## operator=()

SMD3QuaternionTagList & irr::scene::SMD3QuaternionTagList::operator= | ( | const SMD3QuaternionTagList & | copyMe | ) |

inline

Definition at line 253 of file IAnimatedMeshMD3.h.

References SMD3QuaternionTagList().

## operator[]() [1/2]

SMD3QuaternionTag & irr::scene::SMD3QuaternionTagList::operator[] | ( | u32 | index | ) |

inline

Definition at line 243 of file IAnimatedMeshMD3.h.

## operator[]() [2/2]

const SMD3QuaternionTag & irr::scene::SMD3QuaternionTagList::operator[] | ( | u32 | index | ) | const

inline

Definition at line 238 of file IAnimatedMeshMD3.h.

## push_back()

void irr::scene::SMD3QuaternionTagList::push_back | ( | const SMD3QuaternionTag & | other | ) |

inline

Definition at line 248 of file IAnimatedMeshMD3.h.

## set_used()

void irr::scene::SMD3QuaternionTagList::set_used | ( | u32 | new_size | ) |

inline

Definition at line 227 of file IAnimatedMeshMD3.h.

## size()

u32 irr::scene::SMD3QuaternionTagList::size | ( |  | ) | const

inline

Definition at line 222 of file IAnimatedMeshMD3.h.

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0